Inflows
List inflows
List received collection account payments from newest to oldest.
Authorization
ApiKeyAuth X-API-Key<token>
The API key identifies your business. Requests do not include a business ID.
In: header
Query Parameters
collection_account_id?string
Return inflows for one collection account.
Format
uuidsearch?string
Match a provider reference, session ID, sender name, or sender account number.
from?string
Include payments received at or after this RFC 3339 timestamp.
Format
date-timeto?string
Include payments received at or before this RFC 3339 timestamp.
Format
date-timeper_page?integer
The page contains 20 inflows by default and at most 100 inflows.
Range
value <= 100Default
20cursor?string
Pass the previous page's next_cursor value.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/inflows"{ "status": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "collection_account_id": "d84ddb2f-39e1-4c6d-be0c-2221e75ce546", "provider_reference": "string", "session_id": "string", "amount": "string", "currency": "NGN", "sender": { "name": "string", "account_number": "string", "bank_code": "string", "bank_name": "string" }, "received_at": "2019-08-24T14:15:22Z" } ], "meta": { "per_page": 0, "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b", "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }}